</table>

<H3> Classes </H3>
<p>
Each plugin implements a class (rarely a set of classes). Classes are:
<table border=1 cellspacing=0>
	<tr><th>name         <th> description
	<tr><td>feature      <td> random features directly accessible for the user, usually actions
	<tr><td>lib          <td> support code library for other plugins (core doesn't depend on these); functionality not directly accessible for the user but other plugins may depend on it
	<tr><td>import       <td> load alien formats into the design space
	<tr><td>export       <td> save (parts of) the design space in alien formats
	<tr><td>io           <td> native file format (save & load) implementation
</table>

<H3> Status </H3>
<p>
Common status column values mean:
<table border=1 cellspacing=0>
	<tr><th>name         <th> description
	<tr><td>works        <td> production quality code - configures, compiles, tested
	<tr><td>WIP          <td> work in progress: the plugin may be avaialble for testing but is not yet production quality
	<tr><td>abandoned    <td> unmaintained plugin; may be in working condition but there is no developer supporting it
	<tr><td>deprecated   <td> legacy plugin scheduled for removal; may still work but will soon be removed; if your workflow depends on it, please report ASAP
</table>

<H3> Plugin dependency map </H3>
<p>
<img src="deps.svg" alt="sch-rnd plugin dependency graph">

</body>
</html>
